/************************************************************************/
/* 		This code is part of 'CutterFF'				*/
/*		a tool for cutting video files with 'FFmpeg' and 'GTK'	*/
/*		Copyright (c) 2017 .. 2019,2023 Harald Foerster		*/
/*		(harald_foerster@users.sourceforge.net)			*/
/*		Distributed under GPL 2 or later			*/
/************************************************************************/

#ifndef CFF_ACCEL__H
#define CFF_ACCEL__H

#include <gtk/gtk.h>
#include <stdio.h>

#include "cff_tools-gtk.h"


enum
{
	kAccelKeyNone	= -1,

	kAccelFileOpen,
	kAccelFileSave,
	kAccelFileImage,
	kAccelFileClose,
	kAccelFileInfo,
	kAccelFileSaveRC,
	kAccelFileQuit,

	kAccelEditUndo,
	kAccelEditRedo,
	kAccelEditLoad,
	kAccelEditSave,
	kAccelEditClear,
	kAccelEditAdd,
	kAccelEditRemove,

	kAccelOptAccel,
	kAccelOptKeyFrame,
	kAccelOptIFrame,
	kAccelOptPFrame,
	kAccelOptCursor,
	kAccelOptOverwrite,
	kAccelOptDelete,
	kAccelOptBeep,
	kAccelOptSave,

	kAccelHelpFFmpeg,
	kAccelHelpCutterff,
	kAccelHelpAbout,

	kAccelKeyTotal
};

typedef struct
{
	const gchar	*name;
	const gchar	*label;
	GuiMenuAction	*action;
	guint		keyval;
	guint		key;
	GdkModifierType	modifier;

} cff_accel_t;


void cff_accel_bind_widget(gint accel_id, const gchar *label,
				GuiMenuAction *action, GtkWidget *parent);
void cff_accel_dialog_run(void);
gint cff_accel_parse_str(gchar *str);
void cff_accel_save_data(FILE *fd, const gchar *id);

#endif /* CFF_ACCEL__H */

